Update a staff member Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
PUT /api/v1/client/{client_uuid}/staff-members/{uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • client_uuid string Required

    uuid The UUID of the business client.

  • uuid integer Required
  • id string Required

    uuid The UUID of the client that is a staff member.

application/json

Body

  • hired_at string(date)

    Date (y-m-d) of when the staff member was hired.

  • left_at string(date)

    Date (y-m-d) of when the staff member left.

  • job_title string

    The job title of the staff member.

  • basic_annual_salary integer

    The basic annual salary of the staff member. Must be in pennies, for example: £50,000 would be 5000000.

  • payroll_number string

    The payroll number of the staff member.

PUT /api/v1/client/{client_uuid}/staff-members/{uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/client/6ff8f7f6-1eb3-3525-be4a-3932c805afed/staff-members/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"hired_at":"2018-01-15","left_at":"2025-01-15","job_title":"Chief Coffee Maker","basic_annual_salary":5000000,"payroll_number":"#12345"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "hired_at": "2018-01-15",
  "left_at": "2025-01-15",
  "job_title": "Chief Coffee Maker",
  "basic_annual_salary": 5000000,
  "payroll_number": "#12345"
}